Get Business Subscriptions

Retrieve a paginated list of business subscriptions for a given subscription type.

Example:
To fetch the first 100 business subscriptions of type WEBHOOK, sent a GET request to the following URL:
https://api.yelp.com/v3/businesses/subscriptions?subscription_type=WEBHOOK

For the above request a successful GET call will return at most 100 business subscriptions with the following response body:

{
  "total": 2,
  "offset": 0,
  "limit": 100,
  "subscription_type": "WEBHOOK",
  "subscriptions": [
    {"business_id": "4U9kSBLuBDU391x6bxU-YA", "subscribed_at": "2022-12-10T09:50:00+00"},
    {"business_id": "7w8SVwIEhxZ7jPnMUFYrng", "subscribed_at": "2022-12-10T10:52:30+00"},
  ]
}

Note: Each subscription type requires configuration by Yelp to access, please reach out to [email protected] to configure access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

This endpoint is part of the Business Subscriptions API, visit Business Subscriptions API to learn more.

Query Params
string
enum
required

Type of subscriptions being returned

Allowed:
integer
0 to 10000
Defaults to 100

The maximum number of business subscriptions to return.

integer
≥ 0
Defaults to 0

Offset the list of returned business subscriptions by this amount.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json